| Home | Libraries | People | FAQ | More

### basic_socket_streambuf

Iostream streambuf for a socket.

    template<
        typename Protocol,
        typename Clock = chrono::steady_clock,
        typename WaitTraits = wait_traits<Clock>>
    class basic_socket_streambuf :
      basic_socket< Protocol >

##### Types

Name | Description
--- | ---
clock_type | The clock type.
duration | The duration type.
duration_type | (Deprecated: Use duration.) The duration type.
endpoint_type | The endpoint type.
protocol_type | The protocol type.
time_point | The time type.
time_type | (Deprecated: Use time_point.) The time type.

##### Member Functions

Name | Description
--- | ---
basic_socket_streambuf | Construct a basic_socket_streambuf without establishing a connection. — Construct a basic_socket_streambuf from the supplied socket. — Move-construct a basic_socket_streambuf from another.
close | Close the connection.
connect | Establish a connection.
error | Get the last error associated with the stream buffer.
expires_after | Set the stream buffer's expiry time relative to now.
expires_at | (Deprecated: Use expiry().) Get the stream buffer's expiry time as an absolute time. — Set the stream buffer's expiry time as an absolute time.
expires_from_now | (Deprecated: Use expiry().) Get the stream buffer's expiry time relative to now. — (Deprecated: Use expires_after().) Set the stream buffer's expiry time relative to now.
expiry | Get the stream buffer's expiry time as an absolute time.
operator= | Move-assign a basic_socket_streambuf from another.
puberror | (Deprecated: Use error().) Get the last error associated with the stream buffer.
socket | Get a reference to the underlying socket.
~basic_socket_streambuf | Destructor flushes buffered data.

##### Protected Member Functions

Name | Description
--- | ---
overflow |
setbuf |
sync |
underflow |

##### Requirements

Header: `boost/asio/basic_socket_streambuf.hpp`

Convenience header: `boost/asio.hpp`